"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addDependencies = void 0;
const devkit_1 = require("@nrwl/devkit");
const versions_1 = require("../../../utils/versions");
function addDependencies(host) {
    return (0, devkit_1.addDependenciesToPackageJson)(host, {
        '@ionic/react': versions_1.ionicReactVersion,
        '@ionic/react-router': versions_1.ionicReactRouterVersion,
        'web-vitals': versions_1.webVitalsVersion,
        'workbox-background-sync': versions_1.workboxVersion,
        'workbox-broadcast-update': versions_1.workboxVersion,
        'workbox-cacheable-response': versions_1.workboxVersion,
        'workbox-core': versions_1.workboxVersion,
        'workbox-expiration': versions_1.workboxVersion,
        'workbox-google-analytics': versions_1.workboxVersion,
        'workbox-navigation-preload': versions_1.workboxVersion,
        'workbox-precaching': versions_1.workboxVersion,
        'workbox-range-requests': versions_1.workboxVersion,
        'workbox-routing': versions_1.workboxVersion,
        'workbox-strategies': versions_1.workboxVersion,
        'workbox-streams': versions_1.workboxVersion,
    }, { '@nrwl/react': readNxVersion(host) });
}
exports.addDependencies = addDependencies;
function readNxVersion(tree) {
    const packageJson = (0, devkit_1.readJson)(tree, 'package.json');
    const nxVersion = packageJson.devDependencies['@nrwl/workspace']
        ? packageJson.devDependencies['@nrwl/workspace']
        : packageJson.dependencies['@nrwl/workspace'];
    if (!nxVersion) {
        throw new Error('@nrwl/workspace is not a dependency.');
    }
    return nxVersion;
}
//# sourceMappingURL=add-dependencies.js.map