"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const literals_1 = require("@angular-devkit/core/src/utils/literals");
const schematics_1 = require("@angular-devkit/schematics");
const workspace_1 = require("@nrwl/workspace");
const path = require("path");
function displayInformation(host, context) {
    const config = (0, workspace_1.readJsonInTree)(host, 'package.json');
    if (config.devDependencies && config.devDependencies['@nrwl/cypress']) {
        context.logger.info((0, literals_1.stripIndents) `
      @testing-library/cypress is being updated to 6.0.0 and includes breaking changes.
      
      https://github.com/testing-library/cypress-testing-library/releases/tag/v6.0.0

      ---------------------------------------------------------------------------------------

      @testing-library/user-event is being updated to 10.0.1 and includes breaking changes.

      https://github.com/testing-library/user-event/releases/tag/v9.0.0
      https://github.com/testing-library/user-event/releases/tag/v10.0.0
    `);
    }
}
function update() {
    return (0, schematics_1.chain)([
        displayInformation,
        (0, workspace_1.updatePackagesInPackageJson)(path.join(__dirname, '../../../', 'migrations.json'), '2.0.0'),
    ]);
}
exports.default = update;
//# sourceMappingURL=update-2-0-0.js.map