"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable @typescript-eslint/no-explicit-any */
const schematics_1 = require("@angular-devkit/schematics");
const workspace_1 = require("@nrwl/workspace");
function getIonicReactProjectPaths(host) {
    let ionicReactProjectPaths = [];
    const ionicReactProjectPathMap = [];
    const workspaceJson = (0, workspace_1.readJsonInTree)(host, 'workspace.json');
    Object.values(workspaceJson.projects).forEach((project) => {
        Object.values(project.architect).forEach((target) => {
            var _a;
            if (((_a = target.options) === null || _a === void 0 ? void 0 : _a.webpackConfig) !== '@nxext/ionic-react/plugins/webpack') {
                return;
            }
            ionicReactProjectPaths = [...ionicReactProjectPaths, project.root];
        });
    });
    Object.values(workspaceJson.projects).forEach((project) => {
        for (const path of ionicReactProjectPaths) {
            if (path === project.root) {
                const projectRoots = Object.values(workspaceJson.projects).map((project) => project.root);
                const name = Object.keys(workspaceJson.projects)[projectRoots.indexOf(project.root)];
                ionicReactProjectPathMap.push({ name, path });
            }
        }
    });
    return ionicReactProjectPathMap;
}
function addIonicConfigToProjects() {
    return (host) => {
        const ionicReactProjectPathMap = getIonicReactProjectPaths(host);
        ionicReactProjectPathMap.forEach((ionicReactProjectPath) => {
            if (host.exists(`${ionicReactProjectPath.path}/ionic.config.json`)) {
                return;
            }
            host.create(`${ionicReactProjectPath.path}/ionic.config.json`, JSON.stringify({
                name: ionicReactProjectPath.name,
                integrations: {
                    capacitor: {},
                },
                type: 'react',
            }));
        });
    };
}
function update() {
    return (0, schematics_1.chain)([addIonicConfigToProjects()]);
}
exports.default = update;
//# sourceMappingURL=add-ionic-config-4-0-0.js.map